//+------------------------------------------------------------------+
//|                                                      SL = 0.mq4  |
//|                                            created by Kamil2079  |
//+------------------------------------------------------------------+

/*
 Set SL for all orders to 0 pips   
*/

int start()
  {
   bool   result;
   int    cmd,total,error;

   total=OrdersTotal();
   for(int i=total-1; i>=0; i--)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
        {
         cmd=OrderType();
         if(cmd==OP_BUY || cmd==OP_SELL)
           {
            while(true)
              {
               result=OrderModify(OrderTicket(),0,OrderOpenPrice(),OrderTakeProfit(),0,CLR_NONE);
               if(result!=TRUE) 
                 { error=GetLastError(); Print("LastError = ",error); }
               else error=0;
               if(error==135) RefreshRates();
               else break;
              }
             OrderPrint();
           }
        }
      else 
       Print( "Error: ", GetLastError()); 
     }
   return(0);
  }