//+------------------------------------------------------------------+
//|                                               SL = Hi or Lo.mq4  |
//|                                            created by Kamil2079  |
//+------------------------------------------------------------------+

/*
For all Buy orders set SL to Low from previous candle and                    
for all Sell orders set SL to High from previous candle.
*/

int start()
  {
   bool   result;
   int    cmd,total,error,spread;

   spread = MarketInfo(Symbol(),MODE_SPREAD) * Point;
   total=OrdersTotal();
   for(int i=total-1; i>=0; i--)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
        {
         cmd=OrderType();
         if(cmd==OP_BUY)
           {
            while(true)
              {
               result=OrderModify(OrderTicket(),0,Low[1]-spread,OrderTakeProfit(),0,CLR_NONE);
               if(result!=TRUE) 
                 { error=GetLastError(); Print("LastError = ",error); }
               else error=0;
               if(error==135) RefreshRates();
               else break;
              }
             OrderPrint();
           }
         else if(cmd==OP_SELL)
           {
            while(true)
              {
               result=OrderModify(OrderTicket(),0,High[1]+spread,OrderTakeProfit(),0,CLR_NONE);
               if(result!=TRUE) 
                 { error=GetLastError(); Print("LastError = ",error); }
               else error=0;
               if(error==135) RefreshRates();
               else break;
              }
             OrderPrint();
           }
        }
      else Print( "Error: ", GetLastError()); 
     }
   return(0);
  }